package com.diagbot.entity.wrapper;

import com.diagbot.entity.LantoneProduct;
import com.diagbot.entity.OpenedProducts;
import com.diagbot.entity.ProductService;
import com.diagbot.entity.ServiceInfo;
import com.diagbot.entity.ServiceToken;

/**
 * @Description:
 * @author: zhaops
 * @time: 2018/9/19 16:06
 */
public class ProductServiceWrapper extends ProductService {
    private LantoneProduct lantoneProduct;
    private OpenedProducts openedProducts;
    private ServiceInfo serviceInfo;
    private ServiceToken serviceToken;
    private Long userId;

    public LantoneProduct getLantoneProduct() {
        return lantoneProduct;
    }

    public void setLantoneProduct(LantoneProduct lantoneProduct) {
        this.lantoneProduct = lantoneProduct;
    }

    public OpenedProducts getOpenedProducts() {
        return openedProducts;
    }

    public void setOpenedProducts(OpenedProducts openedProducts) {
        this.openedProducts = openedProducts;
    }

    public ServiceInfo getServiceInfo() {
        return serviceInfo;
    }

    public void setServiceInfo(ServiceInfo serviceInfo) {
        this.serviceInfo = serviceInfo;
    }

    public ServiceToken getServiceToken() {
        return serviceToken;
    }

    public void setServiceToken(ServiceToken serviceToken) {
        this.serviceToken = serviceToken;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }
}
